summaryrefslogtreecommitdiffstats
path: root/skripti/download-changes-to-website.sh
diff options
context:
space:
mode:
Diffstat (limited to 'skripti/download-changes-to-website.sh')
-rwxr-xr-xskripti/download-changes-to-website.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/skripti/download-changes-to-website.sh b/skripti/download-changes-to-website.sh
new file mode 100755
index 0000000..2d5dce4
--- /dev/null
+++ b/skripti/download-changes-to-website.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+set -ex
+n=`rev <<<$0 | cut -d/ -f1 | rev`
+s=10
+[ x$2 != x ] && s=$2
+while :
+do
+ t=`mktemp -p "" $n.XXX`
+ wget -O$t $1
+ f=`sha256sum $t | cut -d\ -f1`
+ mv $t $f
+ sleep $s
+done